import request from '@/utils/request'

// 查询请求任务列表
export function listRequesttask(query) {
  return request({
    url: '/hnyz/requesttask/list',
    method: 'get',
    params: query
  })
}

// 查询请求任务详细
export function getRequesttask(requestId) {
  return request({
    url: '/hnyz/requesttask/' + requestId,
    method: 'get'
  })
}

// 新增请求任务
export function addRequesttask(data) {
  return request({
    url: '/hnyz/requesttask',
    method: 'post',
    data: data
  })
}

// 修改请求任务
export function updateRequesttask(data) {
  return request({
    url: '/hnyz/requesttask',
    method: 'put',
    data: data
  })
}

// 删除请求任务
export function delRequesttask(requestId) {
  return request({
    url: '/hnyz/requesttask/' + requestId,
    method: 'delete'
  })
}
